llvm.org GIT mirror llvm / 8931c49
Fix some bashims. More information on https://wiki.ubuntu.com/DashAsBinSh. Reported initially on https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772302 & https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772301 git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@227744 91177308-0d34-0410-b5e6-96231b3b80d8 Sylvestre Ledru 4 years ago
3 changed file(s) with 5 addition(s) and 5 deletion(s). Raw diff Collapse all Expand all
15341534 AC_SEARCH_LIBS(bfd_init, bfd, [], [])
15351535 AC_SEARCH_LIBS(op_open_agent, opagent, [], [
15361536 echo "Error! You need to have libopagent around."
1537 exit -1
1537 exit 1
15381538 ])
15391539 AC_CHECK_HEADER([opagent.h], [], [
15401540 echo "Error! You need to have opagent.h around."
1541 exit -1
1541 exit 1
15421542 ])
15431543 fi ;;
15441544 *)
99099909 else
99109910
99119911 echo "Error! You need to have libopagent around."
9912 exit -1
9912 exit 1
99139913
99149914 fi
99159915
1007210072 else
1007310073
1007410074 echo "Error! You need to have opagent.h around."
10075 exit -1
10075 exit 1
1007610076
1007710077 fi
1007810078
2222 # sitecustomize.
2323 if ! python -c \
2424 'import sitecustomize, sys; sys.exit("coverage" not in dir(sitecustomize))' \
25 &> /dev/null; then
25 >/dev/null 2>&1; then
2626 printf 1>&2 "error: active python does not appear to enable coverage in its 'sitecustomize.py'\n"
2727 exit 1
2828 fi